Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.async
[Groovy] Class WebRequestPromsiseDecorator

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.async.WebRequestPromsiseDecorator

All Implemented Interfaces:
  PromiseDecorator

    @groovy.transform.CompileStatic
    class WebRequestPromsiseDecorator

Property Summary
`GrailsWebRequest` | `webRequest`

Constructor Summary
`WebRequestPromsiseDecorator(GrailsWebRequest webRequest)`

Method Summary
`groovy.lang.Closure` | `decorate(groovy.lang.Closure c)`
`java.lang.Object` | `invokeClosure(groovy.lang.Closure c, java.lang.Object args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### webRequest

    GrailsWebRequest webRequest

Constructor Detail

### WebRequestPromsiseDecorator

    WebRequestPromsiseDecorator(GrailsWebRequest webRequest)

Method Detail

### decorate

    @java.lang.Override
    groovy.lang.Closure decorate(groovy.lang.Closure c)

### invokeClosure

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    java.lang.Object invokeClosure(groovy.lang.Closure c, java.lang.Object args)

Groovy Documentation